org.apache.solr.common.util

## Class JavaBinCodec.StringBytes

- java.lang.Object
- - org.apache.solr.common.util.JavaBinCodec.StringBytes

Enclosing class:
  JavaBinCodec

    public static class JavaBinCodec.StringBytes
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StringBytes(byte[] bytes, int offset, int length)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object other)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringBytes

    public StringBytes(byte[] bytes,
                       int offset,
                       int length)

### Method Detail

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`